Update system requirements in documentation

Description

Attempted in install puppet client using minimum system requirements (512MB RAM, 20GB HDD) specified in the docs at https://simp.readthedocs.io/en/master/user_guide/Client_Management.html#system-requirements. Installation failed with less than 2048MB RAM with the following errors
curl: (23) Failed writing body (8092 != 16384)
loop: module loaded
mount: wrong fs type, bad option, bad superblock on /dev/loop0
...
/sbin/dsmquash-live-root: line 273: printf: write error: No space left on device

After increasing RAM, received error
Not enough space in file systems for the current software selection. An additional 1559.39Mib is needed.
This was with 20.46GB. Installation succeed with 22.00GB HDD.

Acceptance Criteria

None

Labels

None

Epic Link

None

Story Points

None

Components

Assignee

Michael Morrone

Sprint

None

Affects versions

Priority

High
Configure